arrangers:
- link: artist/10051
  names:
    en: Hiroaki Kagoshima
    ja: 籠島裕昌
barcode: '4988001978565'
catalog: COCC-15835
categories:
- Animation
category: Animation
classification: Vocal
composers:
- link: artist/7003
  names:
    en: Hideaki Takatori
    ja: 高取ヒデアキ
covers: []
discs:
- disc_length: '15:13'
  name: Disc 1
  tracks:
  - names:
      Japanese: Trust yourself
    track_length: '3:21'
  - names:
      Japanese: I go my way
    track_length: '4:15'
  - names:
      Japanese: Trust yourself (オリジナル・カラオケ)
    track_length: '3:21'
  - names:
      Japanese: I go my way (オリジナル・カラオケ)
    track_length: '4:16'
distributor: &id001
  link: org/92
  names:
    en: Columbia Music Entertainment, Inc.
    ja: コロムビアミュージックエンタテインメント株式会社
    ja-latn: Columbia Music Entertainment, Inc.
  role: distributor
link: album/150008
lyricists:
- link: artist/7003
  names:
    en: Hideaki Takatori
    ja: 高取ヒデアキ
media_format: CD
meta:
  added_date: 2025-05-27T20:21
  edited_date: 2025-05-27T20:21
  fetched_date: 2025-12-07T10:32
  freedb: 0
  ttl: 86400
  visitors: 138
name: Trust yourself / Hideaki Takatori
names:
  en: Trust yourself / Hideaki Takatori
  ja: Trust yourself / 高取ヒデアキ
  ja-latn: Trust yourself / Hideaki Takatori
notes: 'Both tracks:

  Arrangement: Hiroaki Kagoshima

  Lyrics, Composition: Hideaki Takatori

  M-01 - TV Anime "Kinnikuman II: ULTIMATE MUSCLE 2" Opening Theme'
organizations:
- &id002
  link: org/2193
  names:
    en: Columbia Music Entertainment
    ja: Columbia Music Entertainment
    ja-latn: Columbia Music Entertainment
  role: label
- link: org/92
  names:
    en: Columbia Music Entertainment, Inc.
    ja: コロムビアミュージックエンタテインメント株式会社
    ja-latn: Columbia Music Entertainment, Inc.
  role: manufacturer
- *id001
performers: []
picture_full: https://media.vgm.io/albums/80/150008/150008-05d6f3b879f0.png
picture_small: https://medium-media.vgm.io/albums/80/150008/150008-05d6f3b879f0.png
picture_thumb: https://thumb-media.vgm.io/albums/80/150008/150008-05d6f3b879f0.png
platforms:
- Series
products:
- link: release/34462
  names:
    en: MR. MUSCLEMAN Second Generation ULTIMATE MUSCLE 2
    ja: キン肉マンⅡ世アルティメットマッスル2
    ja-latn: 'Kinnikuman II: ULTIMATE MUSCLE 2'
publish_format: Commercial
publisher: *id002
related:
- catalog: COCA-15837
  date: '2006-02-01'
  link: album/150073
  names:
    en: Chikai no Tsuki / Kagrra,
    ja: 誓ノ月 / Kagrra,
    ja-latn: Chikai no Tsuki / Kagrra,
  type: anime
- catalog: COCA-15836
  date: '2006-02-01'
  link: album/150074
  names:
    en: Chikai no Tsuki / Kagrra, [Limited Edition]
    ja: 誓ノ月 / Kagrra,
    ja-latn: Chikai no Tsuki / Kagrra, [Limited Edition]
  type: anime
release_date: '2006-01-18'
release_events: []
release_price:
  currency: JPY
  price: 1260.0
reprints: []
stores:
- link: http://www.cdjapan.co.jp/product/COCC-15835
  name: CDJapan (OOP)
- link: http://tower.jp/item/1841395
  name: TOWER RECORDS ONLINE
vgmdb_link: https://vgmdb.net/album/150008?perpage=99999
vocals:
- link: artist/7003
  names:
    en: Hideaki Takatori
    ja: 高取ヒデアキ
votes: 0
